import { SimpleLocalIntegration } from '../../core/index.js';
import { Lw12wifiConfigFlow } from './lw12wifi.classes.configflow.js';
import { createLw12wifiDiscoveryDescriptor } from './lw12wifi.discovery.js';
import type { ILw12wifiConfig } from './lw12wifi.types.js';
import { lw12wifiDomain, lw12wifiProfile } from './lw12wifi.types.js';

export class Lw12wifiIntegration extends SimpleLocalIntegration<ILw12wifiConfig> {
  public readonly domain = lw12wifiDomain;
  public readonly discoveryDescriptor = createLw12wifiDiscoveryDescriptor();
  public readonly configFlow = new Lw12wifiConfigFlow();

  constructor() {
    super(lw12wifiProfile);
  }
}
